> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Currency

> Admin: update currency fields.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json patch /api/v1/admin/currencies/{currency_id}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/currencies/{currency_id}:
    patch:
      tags:
        - admin:currencies
      summary: Update Currency
      description: 'Admin: update currency fields.'
      operationId: update_currency_api_v1_admin_currencies__currency_id__patch
      parameters:
        - name: currency_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Currency Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CurrencyUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_CurrencyOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CurrencyUpdate:
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        symbol_left:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol Left
        symbol_right:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol Right
        decimal_place:
          anyOf:
            - type: integer
            - type: 'null'
          title: Decimal Place
        value:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Value
        is_base:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Base
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
      type: object
      title: CurrencyUpdate
    ApiResponse_CurrencyOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/CurrencyOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[CurrencyOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CurrencyOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        code:
          type: string
          title: Code
        symbol_left:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol Left
        symbol_right:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol Right
        decimal_place:
          type: integer
          title: Decimal Place
        value:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Value
        is_base:
          type: boolean
          title: Is Base
        is_active:
          type: boolean
          title: Is Active
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - title
        - code
        - symbol_left
        - symbol_right
        - decimal_place
        - value
        - is_base
        - is_active
        - updated_at
      title: CurrencyOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````